Ana içeriğe atla
POST
/
api
/
v1
/
energy
/
activate
Adres Etkinlestir
curl --request POST \
  --url https://api.example.com/api/v1/energy/activate \
  --header 'Content-Type: application/json' \
  --data '
{
  "address": "<string>"
}
'
{
  "success": true,
  "tx_hash": "<string>"
}

Adres Etkinlestir

Daha once hicbir islem almamis bir TRON adresini etkinlestirir. Adresin token alabilmesi icin gereklidir. Maliyet: 1,1 TRX (bakiyenizden dusulur)

Istek govdesi

address
string
gerekli
Etkinlestirilecek TRON adresi (T… formati)

Yanit

success
boolean
Etkinlestirmenin basarili olup olmadigi
tx_hash
string
Etkinlestirme islem hash’i

Ornek

curl -X POST https://api.tronrental.com/v1/energy/activate \
  -H "X-API-Key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{"address": "TNewInactiveAddress..."}'
Response
{
  "success": true,
  "tx_hash": "a1b2c3d4e5f6..."
}